/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package it.cnr.iasi.giant.util;

import it.cnr.iasi.giant.Main;
import it.cnr.iasi.giant.frame.RoleRegionsWindow;
import java.util.HashMap;

/**
 *
 * @author Fabio Cumbo
 * @info GIANT
 * @version v1.0
 * @organization IASI-CNR : Istituto di Analisi dei Sistemi ed Informatica 
 *                  "Antonio Ruberti" - Consiglio Nazionale delle Ricerche
 * 
 */
public class ControllerMap {
    
    private HashMap<Object, String> map;
    
    public ControllerMap() {
        initMap();
    }
    
    private void initMap() {
        map = new HashMap<Object, String>();
        
        map.put(Main.getApp().getSelectNet_button(), "selectNet_button");
        map.put(Main.getApp().getSelectClustersButton(), "selectClusters_button");
        map.put(Main.getApp().getComputePZ_button(), "computePZ_button");
        map.put(Main.getApp().getLoadClusterRadio(), "loadCluster_radio");
        map.put(Main.getApp().getComputeClusterRadio(), "computeCluster_radio");
        map.put(Main.getApp().getRunClusteringButton(), "runClustering_button");
        map.put(Main.getApp().getAttrib_button(), "attrib_button");
        map.put(Main.getApp().getGiantHelp_menu(), "giantHelp_menu");
        
        //---------------------------------------------------------
        
        map.put(RoleRegionsWindow.getSearchNodeR_button(), "searchNodeR_button");
        map.put(RoleRegionsWindow.getSaveResultsRegions_button(), "saveResultsRegions_button");

    }
    
    public HashMap<Object, String> getMap() {
        return this.map;
    }
    
}
